Email templates
DELETE
/v1/mailboxes/{mailbox_id}/templates/{template_id}Up to 100 templates per mailbox. Fields: name, subject, text and html; HTML is sanitized. A template does not send mail by itself.
Authentication and access · Errors and retries
Request
curl -X DELETE 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/templates/<template_id>' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegertemplate_idpathNecessarilyintegerX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
deletedtrue
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject